import { watch as r } from "vue";
const u = (t, e, o) => {
  r(() => t.sources, () => {
    e && e();
  }, {
    deep: !0
  }), r(() => t.option, () => {
    o && o();
  }, {
    deep: !0
  });
};
export {
  u as useCustomComponentRenderWatch
};
